libdevice User's Guide (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.49. __nv_double2hiint

Prototype:

    i32 @__nv_double2hiint(double %d)

Description:

Reinterpret the high 32 bits in the double-precision floating point value `x` as a signed integer.

Returns:

Returns reinterpreted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes